LILO(8)

BEZEICHNUNG
lilo - installiert den Boot-Loader von LiLO

ÜBERSICHT
Hauptfunktion

lilo

Hilfreiche Anwendungen:

lilo -A # activate/show active partition

lilo -E # edit header or update a bitmap file

lilo -I # inquire path name of current kernel

lilo -M # write a Master Boot Loader on a device

lilo -q # query map and show its content

lilo -R # set default command line for next reboot

lilo -T # tell more about specified topic

lilo {-u|-U} # uninstall LiLO boot loader

BESCHREIBUNG
Lilo installiert einen Boot-Loader, der beim nächsten Systemstart aktiviert wird. Die Standard-Konfigurationsdatei /etc/lilo.conf (siehe Handbuchseite lilo.conf(5)) wird die Mehrzahl der Optionen enthalten, aber auf der Befehlszeile können auch viele Optionen (zum Überlagern von Teilen der Konfigurationsdatei) eingegeben werden.

OPTIONEN

-A master-device [N]
    Beim Aufruf mit nur einem Argument wird die aktive Partition auf dem Gerät master-device abgefragt; z. B. /dev/sda. Mit N==0 werden alle Partitionen auf dem Gerät deaktiviert. Mit N im Bereich [1…n] aktivieren Sie die angegebene Partition und deaktivieren alle anderen. Normalerweise können nur primäre Partitionen [1…4] aktiviert werden. Wenn sich aber der »Extended Master Boot Loader« im Master Boot Record (MBR) des Gerätes befindet (siehe die Option -M), kann jede Partition aktiviert werden. Ob das dort installierte Betriebssystem von einer logischen Partition bootet, hängt von den Eigenschaften des Betriebssystems ab. LILO-Boot-Datensätze für Linux können von einer logischen Partition gebootet werden.

-b Boot-Gerät
    Legt das Boot-Gerät fest, wohin der Boot-Loader installiert wird. Beispielsweise legt "-b /dev/sda" den Master Boot Record (MBR) auf die erste Platte als Boot-Gerät. "-b /dev/sdb5" legt die erste logische Partition auf der zweiten Platte als Boot-Gerät fest.

-B Bitmap-Datei
    Legt eine Bitmap-Datei für die grafische Oberfläche während des Hochfahrens fest. Idealerweise wurde sie bereits mit der Option -E aufbereitet.

-c  Aktiviert die Komprimierung der Map-Datei: Benachbarte Sektoren werden zusammenhängend gelesen. Dies beschleunigt das Booten insbesondere von einer Diskette.

-C Konfigurationsdatei
    Legt einen alternativen Pfad für die Konfigurationsdatei fest. Die Standardkonfigurationsdatei ist /etc/lilo.conf.

-d Verzögerung
    Legt die Verzögerungszeit in Zehntelsekunden fest (20 = 2 Sekunden), bevor das erste Kernel-Abbild automatisch hochgefahren wird. Das gibt Ihnen die Zeit, den automatischen Boot-Prozess mit Umschalten, Alt, Strg, ScrollLock oder CapsLock zu unterbrechen. Wenn Sie den Prozess unterbrechen, wird die Eingabeaufforderung »boot:« angezeigt.

    Dieser Schalter wird außer Kraft gesetzt, sobald prompt in der Konfigurationsdatei erscheint!

-D Name
    Diese Option verwendet als Standard-Kernel für den Systemstart den Kernel mit dem angegebenen Namen anstelle des ersten in der Liste in der Konfigurationsdatei.

-E Dateiname.xxx
    Falls die Erweiterung .xxx gleich .bmp ist, dann wird die Datei als eine Bitmap-Grafikdatei zur Verwendung im Konfigurationsdatei-Eintrag Bitmap= verwendet. Erstellen oder aktualisieren Sie die Farb-/Platzierungs-Informationen im LILO-Header der Bitmap-Datei mit einem interaktiven Editor (siehe bmp-colors, bmp-table und bmp-timer in lilo.conf(5)).

    Falls .xxx gleich .dat ist, dann wird die Datei als eine Konfigurationsdatei zum Setzen von Bitmap-Grafik-Parametern verwandt, die in den LILO-Header der Bitmap-Datei gleichen Namens übertragen werden.

    Wenn eine .bmp-Datei mit einem Grafik-Editor (z. B. GIMP) geändert wird, geht der LILO-Header verloren. Mit der .dat-Datei, die als Text-Sicherungskopie der LILO-Header-Informationen dient, können Sie den Header wieder herstellen.

-f Plattengeometrie
    Gibt eine andere Datei an, in der die Geometrie der vorhandenen Festplatten hinterlegt ist. Der Standardwert ist /etc/disktab.

-F  Hebt die Bootsektorprüfung für Dateisysteme (z. B. swap, Ext4, XFS, …) auf, die durch die Installation des LILO-Bootsektors in den ersten Sektor der Partition zerstört werden könnten, falls diese Dateisysteme den ersten Sektor als Superblock nutzen.

    Vergleichen Sie mit der Option -P ignore, die bestimmte Prüfungen der Partitionstabelle umgeht.

-g  Bewirkt die Erzeugung von CHS-geometrischen (Zylinder/Kopf/Sektor) Festplattenadressen. Die Option ist auf bis zu 1023 Zylinder begrenzt. Sie erzwingt Kompatibilität mit sehr alten LILO -Versionen (veralteter Schalter).

-H  Bricht nicht ab, wenn in einem RAID-Array nicht alle Festplatten aktiv sind.

-I Name [D|a|i|k|r|R]
    Name wird als Name eines in der Konfigurationsdatei angegebenen Kernel-Abbildes interpretiert. Dieser Befehl gibt den Pfad der entsprechenden Kernel-Datei (i), die Tastaturtabelle (k), die erste RAM-Disk (initial ramdisk, r), die Dateisystem-Wurzel (root, R) oder die »append=«-Zeichenkette (die a-Option) aus. Die Option D ignoriert den Parameter Name und gibt den Standard image=Namen oder den ersten image=Namen aus, wenn kein Standard-Name angegeben ist.

-l  Diese Option erzeugt lineare Sektoradressen anstelle der üblichen Kopf-/Zylinder-/Sektor-Adressierung.

-L  Es werden anstelle der Kopf-/Zylinder-/Sektor-Adressen (LBA) logische 32-Bit-Adressen (CHS) erzeugt, mit denen auf alle Partitionen von Festplatten mit mehr als 1024 Zylindern zugegriffen werden kann. (Dies ist die Standardgeometrie.)

-m Map-Datei
    Eine andere Map-Datei anstatt der Standarddatei /boot/map verwenden.

-M master-device {mbr|ext}
    Installiert einen Master Boot Record auf dem als master-device angegebenen Gerät. Die Option legt fest, ob es der Standard-Boot-Loader (mbr) oder der Extended Master Boot Loader (ext) ist. Die primäre Partitionstabelle auf master-device wird nicht berührt. Wenn keine gültige Seriennummer (Volume-ID) vorhanden ist, dann wird eine erzeugt und in den MBR geschrieben. Wenn mbr gewählt wurde, wird der Standard Master Boot Loader feststellen, welche der Partitionen 1-4 als aktiv markiert ist und die aktive Partition starten. Es darf nur eine Partition als aktiv markiert sein. Wenn ext gewählt wurde, wird die Suche nach einer aktiven Partition auf die erweiterten Partitionen ausgedehnt. Die Anwesenheit des Extended Master Boot Loaders auf dem Master Boot Record (MBR = Sektor 0) einer Festplatte wirkt sich auf die Funktion der Option -A aus.

-p  Erfordert die interaktive Eingabe aller Passwörter, für die in der Konfigurationsdatei "" angegeben wurde.

-P {fix|ignore|<globale_Option}>
    Repariert (oder ignoriert) »defekte« Partitionstabellen, bei denen die linearen und die Kopf-/Zylinder-/Sektor-Adressen nicht übereinstimmen. Versuchen Sie es immer zuerst mit -P ignore, weil -P fix die Partitionstabelle neu schreiben wird (und dabei möglicherweise alle Partitionen auf der Platte zerstört).

    ignore wird auch verwendet, um die Prüfung der Partitionstabelle auf Partitionstypen, welche die Installation eines LILO-Bootsektors nicht zulassen, zu umgehen. Vergleichen Sie mit dem Schalter »-F«, der die Überprüfung des tatsächlichen Bootsektors außer Kraft setzt.

    I<globale_Option> ermöglicht die Weiterleitung aller globalen Optionen, die im oberen (globalen) Abschnitt der Konfigurationsdatei (/etc/lilo.conf) enthalten sein können. Zum Beispiel wird »-P nowarn« die Option »nowarn« so weiterleiten, als wenn sie in der Konfigurationsdatei gestanden hätte. (Dieses Verhalten bewirkt auch der Schalter »-w«). Ebenso wird »-P timeout=50« die Zeile »timeout=« der Konfigurationsdatei überschreiben oder die Option hinzufügen. Beachten Sie, dass der allgemeine Schalter -P tatsächlich eine Reihe von Befehlszeilen-Optionen dupliziert. Das ist jedoch nicht unbedingt das Gleiche wie einige Schalter, die andere Optionen außer Kraft setzen; z. B. »-g« (-P geometric), »-L« (-P lba32).

-q  Gibt die derzeit bekannten bootbaren Kernel aus. Lilo notiert in einer Datei (Standard ist /boot/map) jeden Namen und jede Lage der beim Systemstart ladbaren Kernel. Diese Option zeigt die dort eingetragenen Namen an. Verwenden Sie die Option zusammen mit -v für nähere Informationen über den installierten Boot-Loader.

-r Wurzelverzeichnis
    Bevor Sie diese Option nutzen, wechseln Sie mit »chroot« in das Verzeichnis. Das neue root-Verzeichnis muss ein Verzeichnis /dev enthalten und benötigt vielleicht auch das Verzeichnis /boot und die Datei /etc/lilo.conf,

-R Befehlszeile
    Diese Option legt den Standardbefehl für den nächsten Systemstart fest. Anschließend löscht der Boot-Loader diese Zeile: Der Befehl wird nur einmal ausgeführt. Die Option wird typischerweise in Skripten für einen Neustart (reboot scripts) unmittelbar vor dem Aufruf von »shutdown -r« verwendet. Der Aufruf ohne Argumente hebt eine lock- oder fallback-Befehlszeile auf.

    Dieser Befehl beginnt mit einem Abbild-Kennzeichner (wie er bei der Aktualisierung der Map-Datei gezeigt wird), dann einem Leerzeichen, dann den Kernelparametern. Die Kernelparameter werden der routinemäßig erstellten Kernelbefehlzeile angehängt. In jedem Fall, ob es nun Parameter gibt oder nicht, wird ein solcher einmaliger Befehl vom Systemlade-Code behandelt, als ober er bei der Eingabeaufforderung »boot:« gesetzt worden wäre. Dies könnte zu Eingabeaufforderungen »password:« beim Systemstart führen. Passen Sie auf! Lesen Sie lilo.conf(5) für Details.

-s Sicherungsdatei
    Wenn Lilo einen neuen Boot-Sektor schreibt, erhält es den bisherigen Inhalt des Boot-Sektors in einer Datei. Diese heißt standardmäßig /boot/boot.NNNN, wobei NNNN die hexadezimale Darstellung der Major- und Minor-Nummer des Laufwerks/der Partition sind.

    Diese Option definiert die Speicherung der Sicherungsdatei in einer von drei Möglichkeiten: ein Verzeichnis für die Sicherung (Standard ist »/boot«) unter Verwendung des Standard-Dateinamens »boot.NNNN« im definierten Verzeichnis; eine Pfadnamen-Vorlage (Vorgabe wäre »/boot/boot«), an die ».NNNN« angehängt wird, oder den vollständigen Pfadnamen der Datei, der die richtige Endung ».NNNN« enthalten muss. Wird die Option zusammen mit -u verwendet, muss der volle Pfadname angegeben werden.

-S Sicherungsdatei
    Normalerweise überschreibt Lilo keine vorhandene Bootsektor-Sicherungsdatei. Diese Option erzwingt das Überschreiben. Wie für -s kann ein Sicherungsverzeichnis, ein Pfadnamen-Muster oder der vollständige Pfadname (einschließlich der Endung .NNNN) angegeben werden.

-t  Nur testen; es wird weder ein neuer Boot-Sektor noch eine neue Map-Datei geschrieben. Verwenden Sie die Option zusammen mit -v, um festzustellen, was Lilo tun wird.

-T Option
    Gibt System-Informationen aus, von denen einige aus dem System-BIOS gewonnen wurden. Das ist bequemer als das Booten der LILO-Diagnose-Diskette auf problematischen Systemen. Die Option kann eine der folgenden sein:

     help gibt eine Liste verfügbarer Informationen aus  ChRul listet die
    Partionen auf, die Änderungsregeln  (Change-Rules) unterliegen  EBDA
    gibt Informationen aus dem Extended BIOS Data Area  aus
    geom=<Laufwerk> gibt die Laufwerksgeometrie für das  Bios-Laufwerk
    aus; z. B. geom=0x80  geom gibt die Geometrie aller Laufwerke aus
    table=<Laufwerk> gibt die primäre  Partitionstabelle aus;
    z.B. table=/dev/sda  video gibt für den Boot-Loader verfügbare Grafik-Modi
    aus

-u [Gerätename]
    Deinstalliert Lilo durch das Zurückkopieren des gesicherten Bootsektors. Mit dieser Option können die Schalter -s und -C verwendet werden. Der Gerätename ist optional. Ein Zeitstempel wird überprüft.

-U [Gerätename]
    wie »-u«, jedoch ohne Überprüfung eines Zeitstempels

-v [Nummer]
    Erhöht die Zahl der Meldungen. Die ein- bis fünffache Anwendung der Option -v erhöht die Zahl der von Lilo ausgegebenen Meldungen. Die Nummer (Bereich 1..5) setzt die Meldungsstufe.

-V  zeigt die Versionsnummer an

-w[+|-]
    Mit den Formen -w oder -w- werden Warnmeldungen unterdrückt. In der Form -w+ wird nowarn in der Konfigurationsdatei außer Kraft gesetzt und Warnmeldungen angezeigt.

-x Option
    (nur für RAID-Installationen) Als Option können Sie jedes der Schlüsselwörter none, auto, mbr, mbr-only oder eine Liste zusätzlicher »boot devices« angeben. Die Liste darf keine Leerzeichen enthalten; als Trennzeichen dienen Kommata.

    RAID-Installationen den Boot-Record auf die RAID-Partition. Das bedingte Schreiben von MBRs ist möglich, um den RAID-Satz in Reparatur-Situationen bootfähig zu machen. Damit kann aber das Standardverhalten vollständig außer Kraft gesetzt werden. Mit dem Schalter »-x mbr-only« kann das Verhalten früherer Versionen eingestellt werden.

-X  Die Option ist für LILO-Interna reserviert. Die erzeugte Ausgabe kann von der LILO-Version abhängen. Die Zeile, die mit "CFLAGS=" anfängt, enthält die Compiler-Optionen, mit der die aktuelle LILO.-Version erzeugt wurde.

-z  Wird diese Option zusammen mit »-M« verwendet, wird die Volume-ID gelöscht. Normalerweise wird sie in der folgenden Sequenz verwendet, um eine neue Volume-ID zu erzeugen:

     lilo -z -M /dev/sda  lilo -M /dev/sda

-Z Option
    Sagt dem Installationsprogramm, ob besondere Vorsichtsmaßnahmen ergriffen werden müssen, weil das BIOS nicht den richtigen Gerätecode in DL(-Z0) übergeben hat. Oder kann festlegen, dass das BIOS immer den richtigen Gerätecode in DL erhält (-Z1). Das entspricht der Option »bios-passes-dl=« in der Konfigurationsdatei und überschreibt sie.

KONFIGURATIONSOPTIONEN
Die oben aufgeführten Optionen für den Aufruf von Lilo auf der Befehlszeile entsprechen den unten angegebenen Schlüsselwörtern :

 -b Boot-Gerät boot=Boot-Gerät   -B Datei.bmp bitmap=Datei.bmp  -c
compact  -d Verz delay=Verz  -D Name default=Name  -f Datei
disktab=Datei  -g geometric  -l linear  -L lba32  -m Map-Datei
map=Map-Datei  -P fix Korrekturtabelle  -P ignore Ignoriertabelle  -s
Datei backup=Datei  -S Datei force-backup=Datei  -v [N] verbose=N  -w
nowarn  -x Option raid-extra-boot=Option  -Z Option
bios-passes-dl=Option

BOOT-OPTIONEN
Die hier beschriebenen Optionen können beim Booten auf der Befehlszeile angegeben werden, wenn ein Kernel-Image gebootet wird. Diese Optionen werden von LILO verarbeitet und werden aus der Befehlszeile entfernt, bevor diese an den Kernel übergeben wird (sofern nichts anderes angegeben wird).

lock
    sperrt die Befehlszeile; wirkt wie »lock« in /etc/lilo.conf

mem=###[,K,M,G]
    Setzt die maximale Speicherkapazität des Systems in Byte, Kilobyte, Megabyte oder Gigabyte. Diese Option wird nicht aus der Befehlszeile entfernt und wird immer an den Kernel übergeben.

nobd
    Unterdrückt die Überprüfung der BIOS-Daten. Diese Option ist für den Einsatz mit einen Nicht-IBM-kompatiblem BIOS reserviert, das sich wie folgt aufhängt:

     Loading...............   BIOS data check

vga=[ASK,EXT,EXTENDED,NORMAL,###,0x###]
    ermöglicht die Übersteuerung des Standard-Videomodus beim Hochfahren des Kernels

FEHLER BEIM BOOTEN
Der Startvorgang erfolgt in zwei Stufen. Der Lader der ersten Stufe ist ein einzelner Sektor und wird vom BIOS oder vom Lader im MBR geladen. Der (räumlich stark begrenzte) Erststufen-Lader lädt den Lader der zweiten Stufe, der mehrere Sektoren beansprucht. Wenn der Erststufen-Lader die Steuerung übernimmt, gibt er den Buchstaben L aus; wenn er bereit ist, die Steuerung an die zweite Stufe zu übergeben, gibt er ein I aus. Wenn ein Fehler auftritt, wie z. B. ein Lesefehler von der Festplatte, gibt er einen hexadezimalen Fehlercode aus und versucht den Vorgang erneut auszuführen. Mit Ausnahme der von Lilo erzeugten Fehlercodes 40, 99 und 9A sind alle hexadezimalen Fehlercodes vom BIOS zurückgegebene Werte. Es folgt eine unvollständige Liste von Fehlercodes:

 00 kein Fehler  01 ungültiger Plattenbefehl  02 Adressmarkierung
nicht gefunden  03 Platte schreibgeschützt  04 Sektor nicht gefunden
06 Diskette wurde entfernt  08 DMA-Überlauf  0A schlechter
Sektor-Schalter  0B schlechte Spur-Schalter  20 Controller-Fehlschlag
40 Such-Fehlschlag (BIOS)  40 Zylinder>1023 (LILO)  99 ungültiger
Indexsektor zweiter Stufe (LILO)  9A keine Signatur auf dem
Systemstartprogramm zweiter Stufe (LILO)  AA Laufwerk nicht bereit  FF
Ermittlungsaktion fehlgeschlagen

Der Fehlercode 40 wird vom BIOS oder von LILO bei der Umwandlung von einer linearen (24-Bit)-Adresse zu einer geometrischen (C:H:S)-Adresse erzeugt. Auch auf älteren Systemen, die die lba32-(32-Bit)-Adressierung nicht unterstützen, kann dieser Fehler auftreten. Die Fehler 99 und 9A bedeuten in der Regel, dass die Map-Datei (-m oder map=) nicht lesbar ist. Wahrscheinlich wurde LILO nach einer Änderung im System nicht erneut ausgeführt oder LILO und das BIOS verwenden unterschiedliche Geometrie-Parameter, was Sie mittels »lilo -v3« anzeigen lassen können. (Sie müssen eventuell eine der Diagnose-Disketten aus der Quelltext-Distribution verwenden, um dieses Problem zu untersuchen.)

Wenn der Zweitstufen-Lader die Steuerung von der ersten Stufe übernommen hat, gibt er den Buchstaben L aus. Nachdem er sich initialisiert hat, wozu auch die Überprüfung der "Descriptor Table" - die Liste der zu bootenden Kernel/weiteren Betriebssysteme - gibt er "O" aus, womit in Großbuchstaben "LILO" angezeigt wird.

Alle Fehlermeldungen des Zweitstufen-Laders sind Texte in englischer Sprache. Sie versuchen mehr oder minder erfolgreich, den Fehlerort genau zu lokalisieren.

FEHLER
Die Konfigurationsdateioptionen backup und force-backup sollten ein Backup-Verzeichnis angeben oder auf allen RAID-Installationen eine Vorlage für den Pfadnamen der Sicherungsdatei. Die Verwendung eines expliziten Dateinamens kann die korrekte Erzeugung mehrfacher Sicherungsdateien verhindern. Am besten verwenden Sie den Standard-Mechanismus, weil er in allen Fällen korrekt arbeitet.

COPYRIGHT und LIZENZ
 Copyright (C) 1992-1998 Werner Almesberger  Copyright (C) 1999-2007
John Coffman  Copyright (C) 2009-2014 Joachim Wiedorn

Weiterverteilung und Verwendung in Quell- und Binärform, mit oder ohne Änderungen, sind unter den Bedingungen der in der Datei COPYING auffindbaren BSD-Lizenz erlaubt.

AUTOR
lilo wurde geschrieben von:

 Werner Almesberger (Versionen von 0 bis 21),  John Coffman (Versionen
von 21.2 bis 22.8),  Joachim Wiedorn (seit Version 23.0).

Diese Handbuchseite wurde von Werner Almesberger und Joachim Wiedorn <joodevel at joonet.de> geschrieben.

SIEHE AUCH
lilo.conf(5), liloconfig(8), lilo-uuid-diskid(8), mkrescue(8), fdisk(8), mkinitrd(8)

ÜBERSETZUNG
Die deutsche Übersetzung dieser Handbuchseite wurde von Lars J. Brandt <ljbrandt@jorma.ping.de>, Andreas Braukmann <andy@abra.de>, Martin Schulze <joey@infodrom.org>, Jens Seidel <tux-master@web.de>, Martin Eberhard Schauer <Martin.E.Schauer@gmx.de>, Mario Blättermann <mario.blaettermann@gmail.com> und Helge Kreutzmann <debian@helgefjell.de> erstellt.

Diese Übersetzung ist Freie Dokumentation; lesen Sie die GNU General Public License Version 3 oder neuer bezüglich der Copyright-Bedingungen. Es wird KEINE HAFTUNG übernommen.

Wenn Sie Fehler in der Übersetzung dieser Handbuchseite finden, schicken Sie bitte eine E-Mail an <debian-l10n-german@lists.debian.org>.